### Method

# Camel Folder load_state

since: 3.58

#### Declaration [src]

    void
    camel_folder_load_state (
      CamelFolder* self
    )

#### Description [src]

Loads properties with #CAMEL_FOLDER_PARAM_PERMANENT from a state file previously set by camel_folder_take_state_filename(). The function does nothing when no state file is set.

Any errors are reported on the terminal, because they are meant non-fatal and rather informative.

Available since: 3.58